//
//  NetActivity.swift
//  Buscar Peliculas
//
//  Created by Santiago Pavón Gómez on 14/12/15.
//  Copyright © 2015 UPM. All rights reserved.
//

import UIKit

class NetActivity {
    
    // Propiedad que devuelve la unica instancia
    static var shared = NetActivity()
    
    // Evitar que se use el constructor
    fileprivate init() {
    }
    
    /**
     *  Contador usado para saber cuantas veces hemos ejecutado:
     *      UIApplication.shared.isNetworkActivityIndicatorVisible = true
     *  Esta sentencia activa el indicador de actividad en la red.
     *  Mientras este contador sea mayor que cero no pararemos el indicador.
     */
    fileprivate var netActivityCredit = 0
    
    /**
     *  Activa el indicador de actividad de red.
     */
    func incrNetActivity() {
        netActivityCredit += 1
        UIApplication.shared.isNetworkActivityIndicatorVisible = true
    }
    
    /**
     *  Desactiva el indicador de actividad de red.
     */
    func decrNetActivity() {
        netActivityCredit -= 1
        if netActivityCredit < 1 {
            UIApplication.shared.isNetworkActivityIndicatorVisible = false
        }
    }
}
