//
//  StartViewController.swift
//  Buscar Peliculas
//
//  Created by Santiago Pavón Gómez on 14/12/15.
//  Copyright © 2015 UPM. All rights reserved.
//

import UIKit

class StartViewController: UIViewController {

    @IBOutlet weak var inputField: UITextField!
    
    @IBOutlet weak var buscarButton: UIButton!
    
    // URL Session para descargar datos
    var session: URLSession?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        inputField.isEnabled = false
        buscarButton.isEnabled = false
    }
    
    override func viewDidAppear(_ animated: Bool) {
        super.viewDidAppear(animated)
        
        if checkToken() {
            
            inputField.isEnabled = true
            buscarButton.isEnabled = true
            
            inputField.becomeFirstResponder()
            
            let config = URLSessionConfiguration.default
            session = URLSession(configuration: config)
        }
    
    }
    
    // Comprobar que hemos puesto el valor del token
    fileprivate func checkToken() -> Bool {
        if Constants.TOKEN == "" {
            let alert = UIAlertController(title: "Token", message: "Para utilizar esta aplicación debe obtener un token en la página http://api.myapifilms.com/token.do", preferredStyle: .alert)
            
            alert.addAction(UIAlertAction(
                title: "Vale",
                style: UIAlertActionStyle.default) {(_: UIAlertAction) -> Void in
                    self.dismiss(animated: true, completion: nil)
                })
            
            present(alert, animated: true, completion: nil)
            
            return false
        }
        return true
    }

    
    @IBAction func search() {
        performSegue(withIdentifier: "Show Film", sender: self)
    }

    // MARK: - Navigation

    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        
        if segue.identifier == "Show Film" {
            if let ftvc = segue.destination as? FilmsTableViewController {
                
                ftvc.filmName = inputField.text
                ftvc.session = session!
            }
        }
    }

}
